Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ImmovablesCostRecordExcelMainGroup
    Inherits BaseObject

    Private _ImmovablesCostRecordMainGroup As ImmovablesCostRecordMainGroup
    Private _IsUseInExcel As Boolean
    Private _ImmovablesCostRecordExcel As ImmovablesCostRecordExcel

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        IsUseInExcel = True
    End Sub

    <Association("ImmovablesCostRecordMainGroup-ImmovablesCostRecordExcel", GetType(ImmovablesCostRecordExcel))> _
    Property ImmovablesCostRecordExcel As ImmovablesCostRecordExcel
        Get
            Return _ImmovablesCostRecordExcel
        End Get
        Set(value As ImmovablesCostRecordExcel)
            SetPropertyValue("ImmovablesCostRecordExcel", _ImmovablesCostRecordExcel, value)
        End Set
    End Property
    Property ImmovablesCostRecordMainGroup As ImmovablesCostRecordMainGroup
        Get
            Return _ImmovablesCostRecordMainGroup
        End Get
        Set(value As ImmovablesCostRecordMainGroup)
            SetPropertyValue("ImmovablesCostRecordMainGroup", _ImmovablesCostRecordMainGroup, value)
        End Set
    End Property
    Property IsUseInExcel As Boolean
        Get
            Return _IsUseInExcel
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsUseInExcel", _IsUseInExcel, value)
        End Set
    End Property
End Class

